Restaurar una versión
curl --request POST \
--url https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/history/{versionId}/restore \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"expectedVersion": 123
}
'import requests
url = "https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/history/{versionId}/restore"
payload = { "expectedVersion": 123 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/history/{versionId}/restore",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'expectedVersion' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({expectedVersion: 123})
};
fetch('https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/history/{versionId}/restore', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"versionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"notRestored": [
{
"code": "<string>",
"params": {}
}
]
}{
"type": "<string>",
"status": 123,
"code": "core.history_not_found",
"requestId": "<string>",
"title": "<string>",
"params": {},
"errors": [
{
"location": "<string>",
"pointer": "<string>",
"code": "<string>",
"params": {}
}
]
}Historial de versiones
Restaurar una versión
Restaura un registro a una de sus versiones.
POST
/
api
/
v1
/
orgs
/
{orgId}
/
core
/
history
/
{versionId}
/
restore
Restaurar una versión
curl --request POST \
--url https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/history/{versionId}/restore \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"expectedVersion": 123
}
'import requests
url = "https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/history/{versionId}/restore"
payload = { "expectedVersion": 123 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/history/{versionId}/restore",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'expectedVersion' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({expectedVersion: 123})
};
fetch('https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/history/{versionId}/restore', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"versionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"notRestored": [
{
"code": "<string>",
"params": {}
}
]
}{
"type": "<string>",
"status": 123,
"code": "core.history_not_found",
"requestId": "<string>",
"title": "<string>",
"params": {},
"errors": [
{
"location": "<string>",
"pointer": "<string>",
"code": "<string>",
"params": {}
}
]
}Autorizaciones
¿Esta página le ayudó?